Poco F3 - Google Pay No Longer Working

"Your device doesnt meet security standards"

Just today, I've started recieving the error that Google Pay is no longer supported on my device (rooted or uncertified software).

I dont believe an update has rolled through to the device.

MIUI 12.5.4 (security update: 2021-08-01).
(Global/EU)

Has anyone having a similar issue, or experienced this in the past? Pretty devo as I use this daily, so a resolution would be <3

Comments

  • Maybe check/also ask on Reddit, some others might have already posted fixes/similar experiences

    r/Xiaomi and r/PocoPhones

    OzBargain Forums generally isn't the best place for specific tech/phone problems.

    • +1

      Yeh, ive been doing a bit of digging as well. Just thought to ask here too given its a populor model for ozbargainers.

  • Apparently the latest firmware version is V12.5.6.0.RKHEUXM

    Obtainable from

    https://xiaomifirmwareupdater.com/miui/alioth/stable/V12.5.6...

  • Thanks for reminding me why I stopped using custom FW.

    • I'm not using anything custom?

Login or Join to leave a comment